<template>
  <base-container title="Vuex" v-if="userIsAuthenticated">
    <the-counter></the-counter>
    <favorite-value></favorite-value>
    <button @click="addTen">Add 10</button>
    <change-counter></change-counter>
  </base-container>
  <base-container title="Authorization">
    <user-auth></user-auth>
  </base-container>
</template>

<script>
import { mapGetters} from 'vuex';
import BaseContainer from './components/BaseContainer.vue';
import TheCounter from './components/TheCounter.vue';
import ChangeCounter from './components/ChangeCounter.vue';
import FavoriteValue from './components/FavoriteValue.vue';
import UserAuth from './components/UserAuth.vue';

export default {
  components: {
    BaseContainer,
    TheCounter,
    ChangeCounter,
    FavoriteValue,
    UserAuth,
  },
  methods: {
    addTen() {
      // this.$store.commit('increase', { value: 10 });
      // this.$store.dispatch('increase', { value: 10 });
      this.$store.dispatch({
        type: 'counter/increase',
        value: 10
      })
    },
  },
  computed: {
    ...mapGetters(['userIsAuthenticated'])
  }
};
</script>

<style>
* {
  box-sizing: border-box;
}

html {
  font-family: sans-serif;
}

body {
  margin: 0;
}
</style>